%global gtk4_version 4.5.0
%global tarball_version %%(echo %{version} | tr '~' '.')

Name: gnome-image-viewer
Version: 45.2
Release: %autorelease
Summary: An image viewer application written with GTK 4, Libadwaita and Rust.

License: GPL 3.0
URL:    https://apps.gnome.org/en/Loupe
Source0: https://gitlab.gnome.org/GNOME/loupe/-/archive/45.2/loupe-45.2.tar.gz

BuildRequires: desktop-file-utils
BuildRequires: /usr/bin/appstream-util
BuildRequires: gettext
BuildRequires: itstool
BuildRequires: meson
BuildRequires: pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires: pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(gweather4)
BuildRequires: pkgconfig(lcms2)
BuildRequires: rust
BuildRequires: cargo

Requires: gtk4 >= %{gtk4_version}
Requires: libgweather4
Requires: lcms2
Requires: libadwaita

%description
GNOME's default image viewer providing

Fast GPU-accelerated image rendering with tiled rendering for SVGs
Extendable and sandboxed image decoding
Support for more than 15 image formats by default
Extensive support for touchpad and touchscreen gestures
Accessible presentation of the most important metadata
Sleek but powerful interface developed in conjunction with GNOME Human Interface Guidelines

%prep
%autosetup -p1 -n loupe-%{tarball_version}

%build
%meson \
 --buildtype=release \
 -Dprofile=release

%meson_build


%install
%meson_install
%find_lang %{name} --with-gnome --all-name

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Loupe.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Loupe.desktop

%files -f %{name}.lang
%license COPYING.md
%doc NEWS
%{_bindir}/loupe
%{_datadir}/applications/org.gnome.Loupe.desktop
%{_datadir}/dbus-1/services/org.gnome.Loupe.service
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Loupe.Devel.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Loupe.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Loupe-symbolic.svg
%{_metainfodir}/org.gnome.Loupe.metainfo.xml
%changelog



%changelog
* Sun Dec 03 2023 EliasofWaffle <eliascontato@protonmail.com>
- Initial Gnome Image Viewer (Gnome Loupe) 45.2 Package
